import request from '@/utils/request'

export function download_excel(data) { // 导出区间成绩
  return request({
    method: 'get',
    url: '/download/excel',
    params: data
  })
}

export function download_excel_week(data) { // 导出周成绩
  return request({
    method: 'get',
    url: '/download/excel_week',
    params: data
  })
}

export function download_rank(data) { // 导出排行榜
  return request({
    method: 'get',
    url: '/download/rank',
    params: data
  })
}

export function excel_all(data) { // 导出总成绩
  return request({
    method: 'get',
    url: '/download/excel_all',
    params: data
  })
}

export function download_order(data) { // 导出兑换记录
  return request({
    method: 'get',
    url: '/download/download_order',
    params: data
  })
}

export function download_order_per(data) { // 导出个人兑换详情
  return request({
    method: 'get',
    url: '/download/download_per',
    params: data
  })
}

export function download_order_template(data) { // 导出个人兑换详情
  return request({
    method: 'get',
    url: '/download/download_per',
    params: data
  })
}

export function download_bonus(data) { // 导出奖励金明细
  return request({
    method: 'get',
    url: '/bonus/download',
    params: data
  })
}
