import request from '@/utils/request'

export function order_nosend(data) {
  return request({
    method: 'get',
    url: '/order/nosend',
    params: data
  })
}

export function order_sended(data) {
  return request({
    method: 'get',
    url: '/order/sended',
    params: data
  })
}

export function order_search(data) {
  return request({
    method: 'get',
    url: '/order/search',
    params: data
  })
}

export function order_send(data) {
  return request({
    method: 'post',
    url: '/order/send',
    data
  })
}

export function address_update(data) {
  return request({
    method: 'post',
    url: '/order/address_update',
    data
  })
}

export function upload_excel(data) {
  return request({
    method: 'post',
    url: '/order/upload_excel',
    data
  })
}

export function order_clear_exchange(data) { // 清除用户所有兑换
  return request({
    method: 'get',
    url: 'order/exchange',
    params: data
  })
}
