import request from '@/utils/request'

export function score_all(data, cancelToken) {
  return request({
    method: 'get',
    url: '/score/all',
    params: data,
    cancelToken
  })
}

export function score_search(data) {
  return request({
    method: 'get',
    url: '/score/search',
    params: data
  })
}

export function score_change(data) {
  return request({
    method: 'get',
    url: '/score/change',
    params: data
  })
}
