import request from '@/utils/request'

export function usermanage_all(data) {
  return request({
    method: 'get',
    url: '/admin/user_all',
    params: data
  })
}

export function usermanage_search(data) {
  return request({
    method: 'get',
    url: '/admin/user_search',
    params: data
  })
}

export function usermanage_sibmitedit(data) {
  return request({
    method: 'post',
    url: '/admin/user_update',
    data
  })
}

export function usermanage_getuserinfo(data) {
  return request({
    method: 'get',
    url: '/userindex/info',
    params: data
  })
}

export function usermanage_getuserdata(data) {
  return request({
    method: 'get',
    url: '/userindex/sold',
    params: data
  })
}

export function usermanage_getuseraddress(data) {
  return request({
    method: 'get',
    url: '/userindex/address',
    params: data
  })
}

export function usermanage_getuserorders(data) {
  return request({
    method: 'get',
    url: '/userindex/order',
    params: data
  })
}
