import request from '@/utils/request'

export function upload_succ(data) {
  return request({
    method: 'get',
    url: '/upload/succ',
    params: data
  })
}

export function upload_fail(data) {
  return request({
    method: 'get',
    url: '/upload/fail',
    params: data
  })
}

export function upload_search(data) {
  return request({
    method: 'get',
    url: '/upload/search',
    params: data
  })
}

export function upload_adj_score(data) {
  return request({
    method: 'post',
    url: '/upload/adj_score',
    data
  })
}

export function upload_judge(data) {
  return request({
    method: 'post',
    url: '/upload/judge',
    data
  })
}

export function judge_record(data) {
  return request({
    method: 'get',
    url: '/judge/record',
    params: data
  })
}

