import request from '@/utils/request'

export function login(data) {
  return request({
    url: '/user/login',
    method: 'post',
    data
  })
}

export function getInfo() {
  return request({
    url: '/user/info',
    method: 'get'
  })
}

export function changepsw(data) {
  return request({
    url: '/user/changepsw',
    method: 'post',
    data
  })
}
