import Layout from '@/layout'

export default [
  {
    path: '/root',
    component: Layout,
    redirect: '/root/index',
    name: 'root',
    alwaysShow: true,
    meta: { title: 'ROOT', icon: 'root' },
    children: [
      {
        path: 'index',
        component: () => import('@/views/root/DownExcel'),
        name: 'DownExcel',
        meta: { title: '下载Excel', icon: 'excel' }
      },
      {
        path: 'upload',
        component: () => import('@/views/root/UploadExcel'),
        name: 'UploadExcel',
        meta: { title: '上传Excel', icon: 'uploadExcel' }
      },
      {
        path: 'repqir',
        component: () => import('@/views/root/ZbsRepair'),
        name: 'ZbsRepair',
        meta: { title: '争霸赛维护', icon: 'repair' }
      },
      {
        path: 'addarticle',
        component: () => import('@/views/example/create'),
        name: 'CreateArticle',
        meta: { title: '编辑文章', icon: 'article' }
      }
    ]
  }
]
